# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

%define uname   SPIRV-Headers
%define vulkansdk sdk-1.3.231.1

Name:           spirv-headers
# Check include/spirv/unified1/spirv.core.grammar.json for the proper version number.
Version:        1.6.1
Release:        %mkrel 2
Summary:        Header files from the SPIR-V registry
Group:          Development/C
License:        MIT
URL:            https://github.com/KhronosGroup/SPIRV-Headers
Source0:        https://github.com/KhronosGroup/SPIRV-Headers/archive/%{vulkansdk}/%{uname}-%{vulkansdk}.tar.xz
BuildRequires:  cmake
Obsoletes:  spirv-headers-sdk
Provides:     spirv-headers-sdk = %{version}-%{release}

%description
Header files from the SPIR-V registry. This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file.
* CMake config files to include this in other CMake projects.

%prep
%autosetup -p1 -n %{uname}-%{vulkansdk}

%build
%cmake -DSPIRV_HEADERS_SKIP_EXAMPLES=ON
%cmake_build

%install
%cmake_install

%files
%{_datadir}/cmake/%{uname}/
%{_datadir}/pkgconfig/%{uname}.pc
%{_includedir}/spirv/


%changelog
* Thu Oct 26 2023 tex - 1.6.1-2pclos2023
- rebuild against updates

* Tue Oct 10 2023 tex - 1.6.1-1pclos2023
- new version
